# Keycloak chart configuration
replicaCount: 3
serviceAccount:
  create: true
  name: "keycloak"
metrics:
  enabled: true
  serviceMonitor:
    enabled: true
    labels:
      release: kube-prometheus-stack
rbac:
  create: true
  rules:
    - apiGroups:
        - ""
      resources:
        - pods
      verbs:
        - get
        - list
externalDatabase:
  host: "${db_addr}"
  port: ${db_port}
  user: "${db_user}"
  database: "${db_database}"
  password: "${db_password}"
auth:
  adminUser: "ovhcloud_keycloak_adm"
  existingSecret: "secret-admin-keycloak"
  passwordSecretKey: "password"
adminRealm: "master"
proxyHeaders: xforwarded
extraEnvVars: |
  - name: JGROUPS_DISCOVERY_PROTOCOL
    value: kubernetes.KUBE_PING
  - name: KUBERNETES_NAMESPACE
    valueFrom:
      fieldRef:
        apiVersion: v1
        fieldPath: metadata.namespace
  - name: CACHE_OWNERS_COUNT
    value: "2"
  - name: CACHE_OWNERS_AUTH_SESSIONS_COUNT
    value: "2"
# PostegreSQL sub-chart configuration
postgresql:
  # This will create a Cinder volume to store the Keycloak PG data
  enabled: false

